.card {
  width: 330px;
  height: 80px;
  border-radius: var(--radius);
  box-sizing: border-box;
  padding: 10px 15px;
  background-color: #ffffff;
  box-shadow: rgba(149, 157, 165, 0.15) 0px 4px 12px;
  position: fixed;
  bottom: 70px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 8px;
  z-index: 14;
  right: 2%;
  will-change: transform;
  backface-visibility: hidden;
  transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}

.card.active {
  transform: translateX(0%);
}

.card.disabled,
.card.hidden {
  transform: translateX(150%);
}

.wave {
  position: absolute;
  transform: rotate(-90deg);
  right: -31px;
  top: 32px;
  width: 80px;
  fill: #04e4003a;
  will-change: transform;
  backface-visibility: hidden;
}
.wave.error {
	fill: rgb(167, 0, 0);
}
.wave.warning {
	fill: rgb(221, 234, 50);
}
.icon-container {
  min-width: 35px;
  height: 35px;
  max-width: 35px;
  display: flex !important;
  justify-content: center;
  align-items: center;
  background-color: #04e40048;
  border-radius: 50%;
}
.icon-container.error {
	background-color: rgb(241 204 204);
}
.icon-container.warning {
	background-color: rgb(221, 234, 50);
}
.icon {
  width: 17px;
  height: 17px;
  color: #269b24;
}

.message-text-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex-grow: 1;
  text-align: right;
}
.card .sub-text {
	word-break: break-word;
}
.message-text,
.sub-text {
  margin: 0;
  cursor: default;
}
.message-text {
  color: #269b24;
  font-size: 15px;
  font-weight: 700;
}
.message-text.error {
	color: rgb(214, 0, 0);
}
.message-text.warning {
	color: rgb(221, 234, 50);
}
.sub-text {
  font-size: 14px;
  color: #555;
}
.cross-icon {
  width: 18px;
  height: 18px;
  color: #555;
  cursor: pointer;
}